<?php
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$countryFactory = $objectManager->get('\Magento\Directory\Model\Country');
$distributorModel = $objectManager->get('\Intesols\Distributor\Model\DistributorFactory')->create();

$distributors = $distributorModel->getCollection()->setOrder('position', 'ASC')->load();


$avil_country = [];
$store_country_code = $this->helper('Intesols\Distributor\Helper\Data')->getCountryCode();
$avil_country = [];

foreach ($distributors as $distributor) {

   $countries = explode(',', $distributor['country']);
   foreach ($countries as $country) {
      if ($country != '') {
         $avil_country[] = $country;
      }
   }

}
$avil_country = array_values(array_unique($avil_country));

?>
<?php
parse_str($_SERVER["QUERY_STRING"], $query_array);
$changeSelection = 0;

if (array_key_exists('con', $query_array)) {
   $selectedCountry = $query_array['con'];
   $changeSelection = 1;
} else {
   $selectedCountry = $store_country_code;
}
$thisReseller = [];
$thisDistributor = [];
$thisNationalRetailer = [];

foreach ($distributors as $distributor) {
/*echo $distributor['country']."=>".$distributor['type']."=>".$distributor['status'];
echo "<br />";*/
   if ((strpos($distributor['country'], $selectedCountry) || strpos($distributor['country'], $selectedCountry) === 0) && $distributor['type'] == 1 && $distributor['status'] == 1) {
      $thisReseller[] = $distributor->getData();
   } elseif ((strpos($distributor['country'], $selectedCountry) || strpos($distributor['country'], $selectedCountry) === 0) && $distributor['type'] == 2 && $distributor['status'] == 1) {
      $thisDistributor[] = $distributor->getData();
   } elseif ((strpos($distributor['country'], $selectedCountry) || strpos($distributor['country'], $selectedCountry) === 0) && $distributor['type'] == 3 && $distributor['status'] == 1) {
      $thisNationalRetailer[] = $distributor->getData();
   }
}

//print_r($thisReseller);

?>
<div class="container">
   <div class="row">
      <div class="col-lg-12 col-md-12">
         <h2 class="where-title">Where to Buy?</h2> 
         <div class="row">
            <form class="form-inline" name="form_height" method="POST" id="form_height">
            <div class="col-md-3">
               <div class="form-group mr-2">               
                 <label class="sr-only" for="inputEmail">Email</label>
                  <select id="country-seletor">
                     <?php if (count($avil_country)) {
                        sort($avil_country);
                        foreach ($avil_country as $sac) {
                           $distributorModel1 = $countryFactory->loadByCode($sac);
                           if ($sac == $store_country_code) {
                              echo '<option selected value="' . $sac . '">';
                           } else {
                              echo '<option value="' . $sac . '">';
                           }
                           echo $distributorModel1->getName();
                           echo '</option>';
                        }
                     }
                     ?>
                  </select>
               </div>   
             </div>
             <div class="col-md-3">
                <div class="form-group mr-2">
                  <select id="partner-seletor">
                     <option>PARTNER TYPE</option>
                     <option value="1">DISTRIBUTORS</option>
                     <option value="2">RESELLERS</option>
                     <option value="3">NATIONAL RETAILERS</option>
                  </select>
                </div>
               </div>
               <div class="col-md-3">
                  <div class="form-group mr-3">
                     <input class="search" type="text" name="search" placeholder="SEARCH" id="text-search" />
                     <span class="glyphicon glyphicon-search form-control-feedback"></span>
                  </div>
               </div>
               <div class="col-md-3">
                  <button type="submit" class="btn btn-primary">Search</button>
               </div>
            </form>
         </div>
      </div>
   </div>
   <div class="col-lg-12 col-md-12 padding-top70">
      <div id="buyers">
               <div class="row" id="distributors">
                  <div class="">
                     <span class="title dist-title">Distributors</span>
                  </div>
                  <div class="profile col-md-12">
                     <div class="row">
                        <div class="distributors">
                           <?php if ($thisDistributor): ?>
                           <?php
$i = 0;
foreach ($thisDistributor as $singleDistributer) {
   $i++;
   ?>
                           <div class="col-md-3">
                              <span><a target="_blank" href="<?php echo $singleDistributer['logo_url'] ?>"><img src=<?php echo '"' . $this->getUrl('pub/media') . $singleDistributer['logo'] . '"'; ?> alt=<?php echo $singleDistributer['name'] ?> /></a></span>
                           </div>
                           <?php
}
?>
                           <?php
if ($i > 3) {
   $i = 0;
   ?>
                           <div class="clearfix"></div>
                           <?php }?>
                           <?php else: ?>
                           <div  class="client-logoes">
                              <p>No Distributors Available in This Country.</p>
                           </div>
                           <?php endif;?>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="row padding-top70">
                  <div class="">
                     <span class="title dist-title">National Retailers</span>
                  </div>
                  <div class="profile col-md-12">
                     <div class="row">
                        <div class="distributors">
                           <?php if ($thisNationalRetailer): ?>
                           <?php
$i = 0;
foreach ($thisNationalRetailer as $singleNationalRetailer) {
   $i++;
   ?>
                           <div class="col-md-3">
                              <span><a target="_blank" href="<?php echo $singleNationalRetailer['logo_url'] ?>"><img src=<?php echo '"' . $this->getUrl('pub/media') . $singleNationalRetailer['logo'] . '"'; ?> alt=<?php echo $singleNationalRetailer['name'] ?> /></a></span>
                           </div>
                           <?php
if ($i > 3) {
      $i = 0;
      ?>
                           <div class="clearfix"></div>
                           <?php }?>
                           <?php }?>
                           <?php else: ?>
                           <div  class="client-logoes">
                              <p>No National Retailers Available in This Country.</p>
                           </div>
                           <?php endif;?>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="row padding-top70">
                  <div class="">
                     <span class="title dist-title">Resellers</span>
                  </div>
                  <div class="profile col-md-12">
                     <div class="row">
                        <div class="distributors">
                           <?php if ($thisReseller): ?>
                           <?php
$i = 0;
foreach ($thisReseller as $singleReseller) {
   $i++;
   ?>
                           <div class="col-md-3">
                              <span><a target="_blank" href="<?php echo $singleReseller['logo_url'] ?>"><img src=<?php echo '"' . $this->getUrl('pub/media') . $singleReseller['logo'] . '"'; ?> alt=<?php echo $singleReseller['name'] ?> /></a></span>
                           </div>
                           <?php
if ($i > 3) {
      $i = 0;
      ?>
                           <div class="clearfix"></div>
                           <?php }?>
                           <?php }?>
                           <?php else: ?>
                           <div  class="client-logoes">
                              <p>No Resellers Available in This Country.</p>
                           </div>
                           <?php endif;?>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div id="map-placeholder">
               <div id="vmap" style="width: 1000px; height: 800px;"></div>
            </div>  
   </div>   
</div>

<script type="text/javascript">
require([
    "jquery",
    "mage/mage",
    "jqueryvmap",
    "jqueryvmapworld",
    "jqueryvmapsampledata"
],function($) {
    $(document).ready(function() {
         $('.page-wrapper').removeClass("lazy-loading-img");
         var selectedCountry = '<?php echo $selectedCountry ;?>';
        $('#form_height').mage(
            'validation',
            { 
                submitHandler: function(form) {
                        var customurl = "<?php echo $this->getUrl() . 'alogic_wheretobuy/index/index' ?>";
                        $("#map-placeholder").empty();
                        $("#map-placeholder").append('<div id="vmap" style="width: 1000px; height: 800px;"></div>');
                        $.ajax({
                           url: customurl,
                           type: 'POST',
                           data: {
                             country: $('#country-seletor').val(),
                             partner: $('#partner-seletor').val(),
                             search: $('#text-search').val(),
                           },
                        beforeSend: function() {
                            // show some loading icon
                            $('.page-wrapper').addClass("lazy-loading-img");                            
                           },   
                        success: function(data, status, xhr) {
                           
                           $('#buyers').html(data);
                              
                              $('.page-wrapper').removeClass("lazy-loading-img");                                 
                              $('#vmap').vectorMap({
                                  map: 'world_en',
                                  backgroundColor: '#FFF',
                                  color: '#ffffff',
                                  hoverOpacity: 0.7,
                                  selectedColor: '#f8be39',
                                  enableZoom: false,
                                  showTooltip: true,
                                  selectedRegions: [$('#country-seletor').val() =='HK' ? 'cn': $('#country-seletor').val()],
                                  scaleColors: ['#c1c1c1'],
                                  values: sample_data,
                                  normalizeFunction: 'polynomial'
                              });                                                           
                            // data contains your controller response
                        },
                        error: function (xhr, status, errorThrown) {
                            console.log('Error happens. Try again.');
                            console.log(errorThrown);
                        }
                    });
                }
            }
        );
         $('#vmap').vectorMap({
             map: 'world_en',
             backgroundColor: '#FFF',
             color: '#ffffff',
             hoverOpacity: 0.7,
             selectedColor: '#f8be39',
             enableZoom: false,
             showTooltip: true,
             selectedRegions: [selectedCountry],
             scaleColors: ['#c1c1c1'],
             values: sample_data,
             normalizeFunction: 'polynomial'
         });     
    });
});

</script>
